#lang racket
(require "player.rkt")

(provide start-task
         task-evt
         task-put)

(define-struct task (place))

(define (start-task)
  (define p (place pch
              (run-player 
               (lambda () (place-channel-get pch))
               (lambda (v) (place-channel-put pch v)))))
  (make-task p))

(define (task-evt t) 
  (task-place t))

(define (task-put t v)
  (place-channel-put (task-place t) v))
